commit:     aa92e70b41a3d667ce98b40f06a3fa55948725cf
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Sat Feb 29 13:52:26 2020 +0000
Commit:     Azamat H. Hackimov <winterheart <AT> gentoo <DOT> ru>
CommitDate: Sat Feb 29 13:52:26 2020 +0000
URL:        https://gitweb.gentoo.org/proj/gamerlay.git/commit/?id=aa92e70b

games-action/shadowgrounds-bin: update package

Migrate from deprecated eclass.

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>

 .../shadowgrounds-bin/shadowgrounds-bin-1.ebuild   | 26 +++++++---------------
 1 file changed, 8 insertions(+), 18 deletions(-)

diff --git a/games-action/shadowgrounds-bin/shadowgrounds-bin-1.ebuild 
b/games-action/shadowgrounds-bin/shadowgrounds-bin-1.ebuild
index 2c3ed4b..e082cef 100644
--- a/games-action/shadowgrounds-bin/shadowgrounds-bin-1.ebuild
+++ b/games-action/shadowgrounds-bin/shadowgrounds-bin-1.ebuild
@@ -1,16 +1,15 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-action/shadowgrounds-bin/shadowgrounds-bin-0_beta12.ebuild,v
 1.2 2011/04/21 08:49:37 vapier Exp $
 
-EAPI="5"
+EAPI=7
 
-inherit unpacker games eutils
+inherit desktop eutils multilib-minimal unpacker
 
 DESCRIPTION="an epic action experience combining modern technology with 
addictive playability"
 HOMEPAGE="http://shadowgroundsgame.com/";
 SRC_URI="shadowgroundsUpdate${PV}.run"
 
-LICENSE="frozenbyte-eula"
+LICENSE="all-rights-reserved"
 SLOT="0"
 KEYWORDS="-* ~amd64 ~x86"
 IUSE=""
@@ -19,18 +18,11 @@ RESTRICT="fetch strip"
 DEPEND="app-arch/unzip"
 RDEPEND=">=sys-libs/glibc-2.4
        >=sys-devel/gcc-4.3.0
-       !amd64? (
-               gnome-base/libglade
-       )
-       amd64? (
-               app-emulation/emul-linux-x86-gtklibs
-       )"
-
-REQUIRED_USE="amd64? ( multilib )"
+       gnome-base/libglade[${MULTILIB_USEDEP}]"
 
 S="${WORKDIR}"
 
-d="${GAMES_PREFIX_OPT}/${PN}"
+d="/opt/${PN}"
 QA_TEXTRELS_x86="`echo 
${d#/}/lib32/lib{avcodec.so.51,avformat.so.52,avutil.so.49,FLAC.so.8}`"
 QA_TEXTRELS_amd64="${QA_TEXTRELS_x86}"
 
@@ -41,7 +33,7 @@ pkg_nofetch() {
 
 src_unpack() {
        # manually run unzip as the initial seek causes it to exit(1)
-       unpack_zip "${A}"
+       unpack_zip ${A}
        rm lib*/lib{gcc_s,m,rt,selinux}.so.?
 }
 
@@ -53,7 +45,7 @@ src_install() {
                bb="shadowgrounds-${b}"
                exeinto ${d}
                newexe ${bb} ${bb} || die
-               games_make_wrapper ${bb} "./${bb}" "${d}" || die
+               make_wrapper ${bb} "./${bb}" "${d}" || die
                make_desktop_entry ${bb} "Shadowgrounds ${b}" Shadowgrounds
        done
 
@@ -62,6 +54,4 @@ src_install() {
 
        insinto ${d}
        doins -r Config data Profiles *.fbz *.glade *-logo.png || die
-
-       prepgamesdirs
 }

Reply via email to